<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res/android">

    <data>

        <import type="android.view.View" />

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.AssemblePositionBean" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="8dp"
            android:paddingVertical="12dp">

            <!-- Radio Button 圆形图标 -->
            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginEnd="8dp"
                android:src="@{bean.isSelected ? @drawable/ic_success_circle : @drawable/bg_circle_gray}" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@{bean.positionName}"
                android:textColor="@color/text_normal"
                android:textSize="14sp"
                android:textStyle="normal" />

        </LinearLayout>

        <!-- 分割线 -->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/line" />

    </LinearLayout>
</layout>
